textures/mr_bean_jr/lava
{
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nonsolid
	q3map_surfacelight 1000
	deformVertexes wave 100 sin 3 2 .1 0.1
	{
		map textures/mr_bean_jr/lava.jpg
		blendfunc add
		tcMod turb 0 .2 0 .1
		rgbgen wave sin 0.8 0.03 0.0 1.0
	}
}


textures/mr_bean_jr/wall_a:q3map
{
	surfaceparm nodamage
}


textures/mr_bean_jr/wall_b:q3map
{
	surfaceparm nodamage
}


textures/mr_bean_jr/icy
{
	surfaceparm nodamage
	surfaceparm slick
	
	{
		map "textures/mr_bean_jr/icy.tga"
	}
	
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	
	{
		map "textures/mr_bean_jr/effect/tint.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}


textures/mr_bean_jr/wall_b_slick
{
	qer_editorImage "textures/common/slick.tga"
	surfaceparm slick
	
	{
		map $lightmap
		rgbGen identity
	}
	
	{
		map "textures/mr_bean_jr/wall_b.jpg"
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen const ( 1 0.5 0.5 )
	}
	
	{
		map "textures/mr_bean_jr/effect/tint.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}


textures/mr_bean_jr/vortex_red
{ 
	qer_editorImage "textures/mr_bean_jr/vortex/red_1.jpg"
	
	cull disable	
	surfaceparm nomarks
	surfaceparm trans

	{
		clampmap textures/mr_bean_jr/vortex/red_1.jpg
		blendFunc add
		tcmod rotate 327
		rgbGen identity
	}
	
	{
		clampmap textures/mr_bean_jr/vortex/red_2.jpg
		blendFunc add
		tcmod rotate -211
		rgbGen identity
	}
	
	{
		clampmap textures/mr_bean_jr/vortex/border.tga
		alphaFunc GE128
		tcmod rotate 20
		rgbGen identity
	}
	
	{
		clampmap textures/mr_bean_jr/vortex/border.tga
		alphaFunc GE128
		tcMod stretch sin .7 0 0 0
		tcmod rotate -20
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/mr_bean_jr/white
{
	qer_editorimage "textures/common/white.tga"
	q3map_noVertexLight
	{
		map $lightmap
		rgbGen identity
	}
	{
		map $whiteimage
		rgbGen exactVertex
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/mr_bean_jr/gold
{
	qer_editorimage "textures/mr_bean_jr/color/gold.jpg"
	q3map_rgbGen const ( 1 .84 0 )
	q3map_remapshader "textures/mr_bean_jr/white"
}


textures/mr_bean_jr/water
{
	qer_editorImage "textures/mr_bean_jr/water/wave.tga"
	qer_trans 0.3
	surfaceparm water
	q3map_surfacelight 1000
	q3map_lightSubdivide 256
	
	{
		map "textures/mr_bean_jr/water/wave.tga"
		tcMod turb 0.2 0.2 0.2 .2
	}
	
	{
		map "textures/mr_bean_jr/water/wave.tga"
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0 0.2 2 .2
	}
	
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
	
	{
		map "textures/mr_bean_jr/water/spume.tga"
		blendfunc add
		tcMod turb 0 .2 0 .1
		rgbgen wave sin 0.8 0.03 0.0 1.0
	}
}
